InvalidScoringMatrixException (NeoBio API)

Overview | Package | Class | Tree | Index | Help
| NeoBio API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## neobio.alignment
Class InvalidScoringMatrixException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--neobio.alignment.InvalidScoringMatrixException

All Implemented Interfaces:
  java.io.Serializable

public class InvalidScoringMatrixException
extends java.lang.Exception

Signals that the substitution matrix does not comply with the specification (see ScoringMatrix for details).

Author:
  Sergio A. de Carvalho Jr.
See Also:
  `ScoringMatrix`, Serialized Form

Field Summary

Fields inherited from class java.lang.Exception
``

Fields inherited from class java.lang.Throwable
``

Constructor Summary
`InvalidScoringMatrixException()` Constructs an `InvalidScoringMatrixException` with null as its error detail message.
`InvalidScoringMatrixException(java.lang.String message)` Constructs an `InvalidScoringMatrixException` with the specified detail message.
`InvalidScoringMatrixException(java.lang.String message, java.lang.Throwable cause)` Constructs an `InvalidScoringMatrixException` with the specified detail message and cause.
`InvalidScoringMatrixException(java.lang.Throwable cause)` Constructs an `InvalidScoringMatrixException` with the specified cause (and a detail message that typically contains the class and detail message of cause).

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidScoringMatrixException

    public InvalidScoringMatrixException()

  Constructs an `InvalidScoringMatrixException` with null as its error detail message.

### InvalidScoringMatrixException

    public InvalidScoringMatrixException(java.lang.String message)

  Constructs an `InvalidScoringMatrixException` with the specified detail message.

Parameters:
  `message` - an error message

### InvalidScoringMatrixException

    public InvalidScoringMatrixException(java.lang.Throwable cause)

  Constructs an `InvalidScoringMatrixException` with the specified cause (and a detail message that typically contains the class and detail message of cause).

Parameters:
  `cause` - a cause

### InvalidScoringMatrixException

    public InvalidScoringMatrixException(java.lang.String message,
                                         java.lang.Throwable cause)

  Constructs an `InvalidScoringMatrixException` with the specified detail message and cause.

Parameters:
  `message` - an error message
  `cause` - a cause

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

http://neobio.sourceforge.net
NeoBio is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version. NeoBio is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. You should have received a copy of the GNU General Public License along with NeoBio; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.